> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all workflow changelog records GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/workflows_changelog Returns workflow changelog records matching the specified filters, sorted by event date descending. Accessible to any user with read access to the specified entry. Reference: https://contentful.com/developers/docs/references/content-management-api/workflows-changelog/get-all-workflow-changelog-records ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string ### Query parameters - `entity.sys.linkType` (string, required) — This must equal "entry" - `entity.sys.id` (string, required) — ID of the entry for which the workflow was executed - `workflow.sys.id` (string, optional) — ID of the associated workflow - `eventAt[lte]` (string, optional) — Filter records based on their occurrence before or on the specified ISO 8601 date - `eventAt[gte]` (string, optional) — Filter records based on their occurrence after or on the specified ISO 8601 date - `workflowDefinition.sys.id[in]` (string, optional) — Comma-separated list of workflow definition IDs used to filter records - `skip` (double, optional) — The number of elements to skip before returning matching changelog records - `limit` (double, optional) — Limit the number of changelog records being returned in the response ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "items": [ { "entity": { "sys": { "id": "", "linkType": "", "type": "Link" } }, "event": "completed", "eventAt": "eventAt", "eventBy": { "sys": { "id": "id", "linkType": "", "type": "Link" } }, "stepAnnotations": [ "cf-color-1", "some-custom-annotation" ], "stepId": "stepId", "stepName": "stepName", "workflow": { "sys": { "id": "fh6dsmnLKsh468", "linkType": "Workflow", "type": "Link" } }, "workflowDefinition": { "sys": { "id": "id", "linkType": "pfjbpijbJJBNv6Jgj", "type": "Link" } } }, { "entity": { "sys": { "id": "", "linkType": "", "type": "Link" } }, "event": "completed", "eventAt": "eventAt", "eventBy": { "sys": { "id": "id", "linkType": "", "type": "Link" } }, "stepAnnotations": [ "cf-color-1", "some-custom-annotation" ], "stepId": "stepId", "stepName": "stepName", "workflow": { "sys": { "id": "fh6dsmnLKsh468", "linkType": "Workflow", "type": "Link" } }, "workflowDefinition": { "sys": { "id": "id", "linkType": "pfjbpijbJJBNv6Jgj", "type": "Link" } } } ], "limit": 100, "skip": 0, "sys": { "type": "Array" }, "total": 2 } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) SDK currently doesn't implement this endpoint. ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const records = await client.workflowsChangelog.getMany({ spaceId: '', environmentId: '', query: { 'entity.sys.linkType': 'entry', 'entity.sys.id': '', } }); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```